require( "scripts/style.lua" );


MakeDialog
{
    Bitmap
    {
		image="backgrounds/profiles/del/back",
		x=kCenter,
		y=kCenter-50,
		Text
		{
			parent=DefaultStyle,
			font = { lithosFont, 26,   Color(0,0,0,255)},
			flags = kVAlignCenter + kHAlignCenter,
			x=30,y=26,w=kMax-30,h=kMax-100,
			label= "gameAsk2Menu",
		};

        Button
        {
            x = 50,	y = 185,
			parent = DefaultStyle,
			type= kPush,
			graphics = {"backgrounds/profiles/new/b_ok",	"backgrounds/profiles/new/b_ok_pressed",	"backgrounds/profiles/new/b_ok_mouseover"},
			command=
				function()
					PlayGSound("butt");
					PopModal("GameMenu");
					if(not(CloseMPParts == nil)) then CloseMPParts(); end
					ProcessGameClose(true, false);
					if(not(StartSoundFade == nil)) then StartSoundFade(); end
					CSWithSh("MainGame", "scripts/mainmenu.lua");

					DoModal("scripts/shadow.lua");
					CloseWindow(nil);
				end;
        },
        Button
        {
            x = 240,	y = 185,
			parent = DefaultStyle,
			type= kPush,
			graphics = {"backgrounds/profiles/new/b_cancel",	"backgrounds/profiles/new/b_cancel_pressed",	"backgrounds/profiles/new/b_cancel_mouseover"},
			command=
				function()
					PlayGSound("butt");
					CloseWindow(nil);
					PopModal("GameMenu");
				end;
        },
    },

} -- MakeDialog
